QScintilla 2.7

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QsciLexerDiff Class Reference

`#include <qscilexerdiff.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, Command = 2,
  Header = 3, Position = 4, LineRemoved = 5,
  LineAdded = 6, LineChanged = 7
  }

## Public Member Functions

- QsciLexerDiff (QObject *parent=0)
- virtual ~QsciLexerDiff ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- QString description (int style) const

## Detailed Description

The QsciLexerDiff class encapsulates the Scintilla Diff lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Diff lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Command | A command.
  Header | A header.
  Position | A position.
  LineRemoved | A removed line.
  LineAdded | An added line.
  LineChanged | A changed line.

## Constructor & Destructor Documentation

QsciLexerDiff::QsciLexerDiff | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerDiff with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerDiff::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

QString QsciLexerDiff::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.